%define name	nag
%define version	1.1
%define release	1mdk
%define order	72
#New ADVX macros
%{expand:%(cat  %{_datadir}/ADVX/ADVX-build)}

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:	The Horde task list application.
License:	GPL
Group: 		System/Servers
Source0: 	%{name}-%{version}.tar.bz2
Source1:	%{name}-mdk.conf.bz2
Patch0:		%{name}-conf-storage.patch.bz2
URL:		http://www.horde.org/nag/
Requires: 	horde >= 2.1
Provides:	ADVXpackage
BuildRequires:	ADVX-build >= 1.2
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
Nag is the Horde task list application. It stores todo items, things
due later this week, etc. It is very similar in functionality to the
Palm ToDo application.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Nag)
please visit http://www.horde.org/.

You must manually configure %{name} !
Follow %_datadir/doc/%{name}-%version/INSTALL.mdk

%prep
%setup -q
%patch0 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT

# apache configuration
%ADVXinstconf %{SOURCE1} %{order}_%{name}.conf

# install files
install -d -m 755 $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}
cp -pR * $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}

# post-install cleanup
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/COPYING
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/README
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/docs
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/po

# activate configuration files
for file in $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{name}/config/*.dist; do
	mv $file ${file%.dist}
done

# specific setup instructions
cat > INSTALL.mdk <<EOF
If you made an Mandrake standard horde install with MySQL, just make:
mysql --user=root --password horde < %moduldir/scripts/drivers/%{name}_tasks.sql
mysqladmin --user=root --password reload
and put the horde MySQL password in
%moduldir/config/conf.php
then edit %hordedir/config/registry.php to register %{name}.
(do not forget to set show to true!).

See "CONFIGURING %{name}" in %moduldir/docs/INSTALL for further informations.
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc COPYING README docs INSTALL.mdk
# Apache configuration file
%config(noreplace) %{ap_confd}/%{order}_%{name}.conf
# top level dir and files
%dir %{ap_htdocsdir}/horde/%{name}
%{ap_htdocsdir}/horde/%{name}/*.php
# standard dirs
%{ap_htdocsdir}/horde/%{name}/graphics
%{ap_htdocsdir}/horde/%{name}/lib
%{ap_htdocsdir}/horde/%{name}/scripts
%{ap_htdocsdir}/horde/%{name}/templates
# config files
%dir %{ap_htdocsdir}/horde/%{name}/config
%config(noreplace) %{ap_htdocsdir}/horde/%{name}/config/*.php
# localisation files
%dir %{ap_htdocsdir}/horde/%{name}/locale
%lang(bg_BG) %{ap_htdocsdir}/horde/%{name}/locale/bg_BG
%lang(cs_CZ) %{ap_htdocsdir}/horde/%{name}/locale/cs_CZ
%lang(da_DK) %{ap_htdocsdir}/horde/%{name}/locale/da_DK
%lang(de_DE) %{ap_htdocsdir}/horde/%{name}/locale/de_DE
%lang(el_GR) %{ap_htdocsdir}/horde/%{name}/locale/el_GR
%lang(en_US) %{ap_htdocsdir}/horde/%{name}/locale/en_US
%lang(es_ES) %{ap_htdocsdir}/horde/%{name}/locale/es_ES
%lang(fi_FI) %{ap_htdocsdir}/horde/%{name}/locale/fi_FI
%lang(fr_FR) %{ap_htdocsdir}/horde/%{name}/locale/fr_FR
%lang(hu_HU) %{ap_htdocsdir}/horde/%{name}/locale/hu_HU
%lang(it_IT) %{ap_htdocsdir}/horde/%{name}/locale/it_IT
%lang(ko_KR) %{ap_htdocsdir}/horde/%{name}/locale/ko_KR
%lang(lt_LT) %{ap_htdocsdir}/horde/%{name}/locale/lt_LT
%lang(nb_NO) %{ap_htdocsdir}/horde/%{name}/locale/nb_NO
%lang(nl_NL) %{ap_htdocsdir}/horde/%{name}/locale/nl_NL
%lang(nn_NO) %{ap_htdocsdir}/horde/%{name}/locale/nn_NO
%lang(pt_BR) %{ap_htdocsdir}/horde/%{name}/locale/pt_BR
%lang(ru_RU) %{ap_htdocsdir}/horde/%{name}/locale/ru_RU
%lang(ru_RU.KOI8-R) %{ap_htdocsdir}/horde/%{name}/locale/ru_RU.KOI8-R
%lang(sk_SK) %{ap_htdocsdir}/horde/%{name}/locale/sk_SK
%lang(sv_SE) %{ap_htdocsdir}/horde/%{name}/locale/sv_SE
%lang(zh_CN) %{ap_htdocsdir}/horde/%{name}/locale/zh_CN
%lang(zh_TW) %{ap_htdocsdir}/horde/%{name}/locale/zh_TW

%changelog
* Tue Sep 09 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.1-1mdk
- 1.1
- moved to nag, as previous nag package doesn't exist anymore
- spec cleanup
- remove useless files from webroot (.dist, doc files, .po)
- properly tag localisation files
- drop apache1 integration
- fixed URL
- ADVX macros
- removed implicit dependencies
- bzipped2 all sources

* Thu Jan 16 2003 Yves Duret <yves@zarb.org> 1.0-4mdk
- rebuild.

* Wed Nov 27 2002 Yves Duret <yves@zarb.org> 1.0-3mdk
- fix dir name.

* Wed Nov 27 2002 Yves Duret <yves@zarb.org> 1.0-2mdk
- rename as horde-nag, cause nag already exists in main
  Network Administration Guide :(

* Thu Nov 14 2002 Yves Duret <yves@zarb.org> 1.0-1mdk
- first mandrake release.
- added an INSTALL.mdk to explain how to configure nag.
- based on Brent J. Nordquist <bjn@horde.org> SRPM
  and using my common spec file for horde module.

* Tue Jun 25 2002 Brent J. Nordquist <bjn@horde.org>
- 1.0 release 1

